<div class="display-container collapsable collapsed">
    <div class="header communication-state warning-state format-source" instrument="{{ instrument|default('Thermo 49') }}"></div>

    {% include 'acquisition/display/header_buttons.html' %}

    {% include 'acquisition/display/nocommunication_content.html' %}

    <table class="content display-data communication-state hide-false">
        <tbody>
            <tr> <td>Ozone concentration (ppb)</td> <td class="value-formatted" field="X" decimals="2" rightpad="1"></td> </tr>
            <tr> <td>Sample temperature (°C)</td>   <td class="value-formatted" field="Tsample" rightpad="2"></td> </tr>
            <tr> <td>Lamp temperature (°C)</td>     <td class="value-formatted" field="Tlamp" rightpad="2"></td> </tr>
            <tr class="value-exists hide-false" field="Tozonator">
                 <td>Ozonator temperature (°C)</td> <td class="value-formatted" field="Tozonator" rightpad="2"></td>
            </tr>
            <tr> <td>Sample pressure (hPa)</td>     <td class="value-formatted" field="Psample" rightpad="2"></td> </tr>
            <tr class="value-exists hide-false" field="Qozonator">
                 <td>Ozonator flow (lpm)</td>       <td class="value-formatted" field="Qozonator" decimals="3"></td>
            </tr>
            <tr class="value-exists hide-false" field="Vlamp">
                 <td>Lamp voltage (V)</td> <td class="value-formatted" field="Vlamp" decimals="1" rightpad="3"></td>
            </tr>
            <tr class="value-exists hide-false" field="Vozonator">
                 <td>Ozonator voltage (V)</td> <td class="value-formatted" field="Vozonator" decimals="1" rightpad="3"></td>
            </tr>

            <tr> <td>Instrument flags</td>          <td class="value-hex" field="bitflags" digits="4" rightpad="4"></td> </tr>
        </tbody>
    </table>

    <table class="content display-data column-split communication-state hide-false">
        <thead>
            <tr>
                <th></th>
                <th>Cell A</th>
                <th>Cell B</th>
            </tr>
        </thead>
        <tbody>
            <tr>
                <td>Flow (lpm)</td>
                <td class="value-formatted" field="Qa" decimals="3"></td>
                <td class="value-formatted" field="Qb" decimals="3"></td>
            </tr>
            <tr>
                <td>Count rate (Hz)</td>
                <td class="value-formatted" field="Ca" decimals="0" rightpad="4"></td>
                <td class="value-formatted" field="Cb" decimals="0" rightpad="4"></td>
            </tr>
        </tbody>
    </table>

    <div class="content display-data communication-state notification-state hide-false warning"
         notification="alarm_sample_temperature_low">Sample temperature exceeded lower alarm threshold</div>
    <div class="content display-data communication-state notification-state hide-false warning"
         notification="alarm_sample_temperature_high">Sample temperature exceeded upper alarm threshold</div>

    <div class="content display-data communication-state notification-state hide-false warning"
         notification="alarm_lamp_temperature_low">Lamp temperature exceeded lower alarm threshold</div>
    <div class="content display-data communication-state notification-state hide-false warning"
         notification="alarm_lamp_temperature_high">Lamp temperature exceeded upper alarm threshold</div>

    <div class="content display-data communication-state notification-state hide-false warning"
         notification="alarm_ozonator_temperature_low">Ozonator temperature exceeded lower alarm threshold</div>
    <div class="content display-data communication-state notification-state hide-false warning"
         notification="alarm_ozonator_temperature_high">Ozonator temperature exceeded upper alarm threshold</div>

    <div class="content display-data communication-state notification-state hide-false warning"
         notification="alarm_pressure_low">Sample pressure exceeded lower alarm threshold</div>
    <div class="content display-data communication-state notification-state hide-false warning"
         notification="alarm_pressure_high">Sample pressure exceeded upper alarm threshold</div>

    <div class="content display-data communication-state notification-state hide-false warning"
         notification="alarm_flow_a_low">Cell A flow exceeded lower alarm threshold</div>
    <div class="content display-data communication-state notification-state hide-false warning"
         notification="alarm_flow_a_high">Cell B flow exceeded upper alarm threshold</div>

    <div class="content display-data communication-state notification-state hide-false warning"
         notification="alarm_flow_b_low">Cell B flow exceeded lower alarm threshold</div>
    <div class="content display-data communication-state notification-state hide-false warning"
         notification="alarm_flow_b_high">Cell B flow exceeded upper alarm threshold</div>

    <div class="content display-data communication-state notification-state hide-false warning"
         notification="alarm_intensity_a_low">Cell A intensity exceeded lower alarm threshold</div>
    <div class="content display-data communication-state notification-state hide-false warning"
         notification="alarm_intensity_a_high">Cell B intensity exceeded upper alarm threshold</div>

    <div class="content display-data communication-state notification-state hide-false warning"
         notification="alarm_intensity_b_low">Cell B intensity exceeded lower alarm threshold</div>
    <div class="content display-data communication-state notification-state hide-false warning"
         notification="alarm_intensity_b_high">Cell B intensity exceeded upper alarm threshold</div>

    <div class="content display-data communication-state notification-state hide-false"
         notification="alarm_ozone_low">Ozone concentration exceeded lower alarm threshold</div>
    <div class="content display-data communication-state notification-state hide-false"
         notification="alarm_ozone_high">Ozone concentration exceeded upper alarm threshold</div>

</div>

<style>
#{{uid}} .warning { color: #f80; }
</style>

<script>
(function() {
    const context = document.getElementById('{{uid}}').context;
    context.standardMode();
})();
</script>